# norootforbuild

Name:		qtsmbstatus
Version:	2.2.0
Release:	1.3

Summary:	A GUI for smbstatus with Qt
URL:		http://qtsmbstatus.free.fr
Group:		Productivity/Networking/Samba
License:	GPL

Source0:	%{name}-%{version}.tar.gz

Patch0:		%{name}-init.patch
Patch1:		%{name}-desktop.patch

Requires:	%{name}-lang

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	libqt4-devel pam-devel update-desktop-files


%description
QtSmbstatus is a GUI (graphical user interface) for smbstatus. It is meant to
provide the possibility of administering remote machines. QtSmbstatus was designed
as a client/server system secured with SSL. A login and password is required to
log on to server (PAM). The server's application ought to be installed with
samba-server.


%package light
Summary:	A GUI for smbstatus with Qt (light version)
Group:		Productivity/Networking/Samba
Requires:	%{name}-lang

%description light
QtSmbstatus light client without network support


%package lang
Summary:	A GUI for smbstatus with Qt (light version)
Group:		Productivity/Networking/Samba

%description lang
A GUI for smbstatus with Qt: Language files


%package doc
Summary:	A GUI for smbstatus with Qt (Docs)
Group:		Productivity/Networking/Samba

%description doc
A GUI for smbstatus with Qt: Documentation


%package server
Summary:	A GUI for smbstatus with Qt (Server)
Group:		Productivity/Networking/Samba
Requires:	samba

%description server
A GUI for smbstatus with Qt: qsmbstatusd, the server





%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
qmake
%__make %{?jobs:-j%{jobs}}


%install

# client
%__install -D -m 755 client/bin/%{name} %{buildroot}/%{_bindir}/%{name}
%__install -D -m 644 client/%{name}.xpm %{buildroot}/%{_datadir}/pixmaps/%{name}.xpm
%__install -D -m 644 client/%{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
%__install -D -m 644 client/%{name}.7.gz %{buildroot}/%{_mandir}/man7/%{name}.7.gz
%suse_update_desktop_file %name Network Monitor

# light client
%__install -D -m 755 light/bin/%{name}l %{buildroot}/%{_bindir}/%{name}l
%__install -D -m 644 light/%{name}l.xpm %{buildroot}/%{_datadir}/pixmaps/%{name}l.xpm
%__install -D -m 644 light/%{name}l.desktop %{buildroot}/%{_datadir}/applications/%{name}l.desktop
%__install -D -m 644 light/%{name}l.7.gz %{buildroot}/%{_mandir}/man7/%{name}l.7.gz
%suse_update_desktop_file %{name}l Network Monitor

# lang
pushd client/tr
	for i in *.qm; do
		%__install -D -m 644 $i %{buildroot}/%{_datadir}/%{name}/$i
	done
popd

# server
%__install -D -m 755 server/bin/%{name}d %{buildroot}/%{_bindir}/%{name}d
%__install -D -m 644 server/pam.d/%{name}d %{buildroot}/%{_sysconfdir}/pam.d/%{name}d
%__install -D -m 755 server/etc/%{name}d %{buildroot}/%{_sysconfdir}/init.d/%{name}d
for i in privkey.pem qtsmbstatusd.conf server.pem qtsmbstatusd.users; do
	%__install -D -m 644 server/etc/$i %{buildroot}/%{_sysconfdir}/%{name}d/$i
done
%__install -D -m 644 server/%{name}d.7.gz %{buildroot}/%{_mandir}/man7/%{name}d.7.gz
%__mkdir %{buildroot}/sbin
%__ln_s ../%{_sysconfdir}/init.d/%{name}d %{buildroot}/sbin/rc%{name}d


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc changelog COPYING INSTALL README README-ES README-FR
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man7/%{name}.7.gz

%files light
%defattr(-,root,root)
%{_bindir}/%{name}l
%{_datadir}/pixmaps/%{name}l.xpm
%{_datadir}/applications/%{name}l.desktop
%{_mandir}/man7/%{name}l.7.gz

%files lang
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.qm

%files doc
%defattr(-,root,root)
%doc changelog COPYING INSTALL README README-ES README-FR

%files server
%defattr(-,root,root)
/sbin/rc%{name}d
%{_bindir}/%{name}d
%{_sysconfdir}/init.d/%{name}d
%config%{_sysconfdir}/pam.d/%{name}d
%dir %{_sysconfdir}/%{name}d
%config %{_sysconfdir}/%{name}d/privkey.pem
%config %{_sysconfdir}/%{name}d/%{name}d.conf
%config %{_sysconfdir}/%{name}d/%{name}d.users
%config %{_sysconfdir}/%{name}d/server.pem
%{_mandir}/man7/%{name}d.7.gz


%changelog
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <2.2.0>
  * Check server certificate (known host). A protection against
    Man-In-The-Middle Attacks
  * Updated some translations
* Sun May  2 2010 detlef@links2linux.de
- new upstream version <2.1.3>
  * Updated some translations
  * Fixed runlevel for qtsmbstatusd script
* Fri Nov 21 2008 detlef@links2linux.de
- new upstream version <2.1>
  * Qt3 support was removed
  * using QSslSocket for QT>= 4.3
  * Added qtsmbstatusl-light (qtsmbstatusl). QtSmbstatusl only works locally (no remote access)
  * Converting non-Unicode formats to and from Unicode in process
  * possibility to check if a new release of this program is available
* Sat Nov  8 2008 detlef@links2linux.de
- new upstream version <2.0.6>
  * Issue 6 Fixed (impossible to stop server)
* Sun Nov  2 2008 detlef@links2linux.de
- inital build for PackMan
